mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Policy.CodeGroup System.Runtime.InteropServices.ComVisible(true)

Code groups are the building blocks of code access security policy. Each policy level consists of a root code group that can have one or more child code groups. Each child code group can have its own child code groups; this behavior extends to any number of levels, forming a tree. Each code group has a membership condition that determines if a given assembly belongs to the group, based on the evidence for that assembly. Only code groups whose membership conditions match a given assembly, along with their child code groups, apply code access security policy.

has the same merge semantics as that of ; it forms the union of the objects of all matching child code groups and the it generates from the input evidence. However, returns a permission containing a dynamically calculated that grants connect access to the site from which the code is run; simply returns a static permission set.

When a is created, it contains the default connection access rules shown in the following table.

URI Scheme

Rule

file

No connection access to the origin server is permitted.

http

HTTP and HTTPS access is permitted using the origin port.

https

HTTPS access is permitted using the origin port.

You can control the scheme and port that code is permitted to use when connecting back to its site of origin by passing a object with the appropriate and property values to the method. You can create a connection access rule that applies when the origin scheme is not present in the evidence or is not recognized by specifying ("") as the scheme. You can also create a connection access rule that applies when there is no connection access rule with a matching scheme by specifying ("*") as the scheme.

If code does not submit the URI scheme as evidence, access is permitted using any scheme back to the origin site.

Grants Web permission to the site from which the assembly was downloaded. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  When a is created, it contains the default connection access rules shown in the following table.

  Scheme

  Rule

  file

  No connection access to the origin server is permitted.

  http

  HTTP and HTTPS access is permitted using the origin port.

  https

  HTTPS access is permitted using the origin port.

  Initializes a new instance of the class.

  A membership condition that tests evidence to determine whether this code group applies code access security policy.
- Field
  2.0.0.0
  4.0.0.0
  System.String

  When calling the method, you specify a scheme and an associated object. Any objects that you add to the using as the origin scheme are applied when the code's origin scheme is not present in its evidence, or is not a scheme recognized by the object.

  To specify the objects to use when the code's origin scheme does not match any of the schemes contained in the set of origin schemes added to the current object, use the value.

  The value of the field is an empty string ("").

  Contains a value used to specify connection access for code with an unknown or unrecognized origin scheme.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  You can add multiple objects for the same . If an already has one or more associated objects, specifying null for has no effect. If the origin scheme does not have associated objects, specifying null for prevents code with an origin scheme that matches from accessing its origin server.

  Adds the specified connection access to the current code group.

  A containing the scheme to match against the code's scheme. A that specifies the scheme and port code can use to connect back to its origin server.
- Field
  2.0.0.0
  4.0.0.0
  System.String

  When calling the method, you specify a scheme and an associated object. You can use the value of the field to specify the objects that should be used for any scheme that is not explicitly contained in the set of origin schemes added to the current object.

  The objects specified with the field are only used if the code's origin scheme does not match any of the schemes contained in the set of origin schemes added to the current object.

  To specify the objects to apply when the code's origin scheme is not available in its evidence or is not recognized, use the value.

  The value of the field is "*".

  Contains a value used to specify any other unspecified origin scheme.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets a string representation of the attributes of the policy statement for the code group.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Policy.CodeGroup

  This method makes a deep copy of the code group, meaning that copies of all objects the code group contains are also made.

  Makes a deep copy of the current code group.

  An equivalent copy of the current code group, including its membership conditions and child code groups.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The following data are used to determine the equality of two objects:

  The and properties.

  The property.

  The set of origin schemes and the associated objects.

  Determines whether the specified code group is equivalent to the current code group.

  true if the specified code group is equivalent to the current code group; otherwise, false.

  The object to compare with the current code group.
- Method
  2.0.0.0
  4.0.0.0
  System.Collections.DictionaryEntry[]

  In each dictionary entry, the property value is the origin scheme, and the property value is the array of associated objects. If there are no associated objects, returns an empty array.

  Gets the connection access information for the current code group.

  A array containing connection access information.

- Method
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the logic to use for merging groups.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the name of the for the code group.

- Method
  2.0.0.0
  4.0.0.0
  System.Void

  Use this method to remove the system-supplied default connection access rules.

  The default rules are shown in the following table.

  Scheme

  Rule

  file

  No connection access to the origin server is permitted.

  http

  HTTP and HTTPS access is permitted using the origin port.

  https

  HTTPS access is permitted using the origin port.

  Removes all connection access information for the current code group.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Policy.PolicyStatement ``

  Given evidence for an assembly to be loaded, this method evaluates the code group by first checking the membership condition against the specified evidence. If there is a match, this method returns a policy statement for the code group, including evaluation of child code groups.

  The operation of this method is as follows:

  If the membership condition does not match the specified evidence, return null; otherwise, set the permission set to be returned (P) equal to the code group's policy statement and continue. For each child code group, resolve the code group with the same evidence; if the result is not null, return that policy statement. If no child code group matched, return P (the parent's policy statement).

  Resolves policy for the code group and its descendants for a set of evidence.

  A that consists of the permissions granted by the code group with optional attributes, or null if the code group does not apply (the membership condition does not match the specified evidence).

  The for the assembly.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Policy.CodeGroup ``

  Given evidence for an assembly to be loaded, this method evaluates the code group by first checking the membership condition against the specified evidence. If there is a match, this method returns a root code group. The code group that is returned may contain child code groups, which, in turn, may also have child code groups, so the return value reflects the complete set of code groups that were matched by the evidence provided.

  Resolves matching code groups.

  The complete set of code groups that were matched by the evidence.

  The evidence for the assembly.